<?php
 
 
 

namespace PhpWA\Protocol\Proto\DeviceCapabilities;

use UnexpectedValueException;




class MemberNameTagPrimarySupport
{
    


    const DISABLED = 0;
    


    const RECEIVER_ENABLED = 1;
    


    const SENDER_ENABLED = 2;

    private static $valueToName = [
        self::DISABLED => 'DISABLED',
        self::RECEIVER_ENABLED => 'RECEIVER_ENABLED',
        self::SENDER_ENABLED => 'SENDER_ENABLED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

